import { IUserWatchList } from 'app/entities/user-watch-list/user-watch-list.model';

export interface IWatchListEntry {
  id?: number;
  exerciseId?: string;
  exerciseName?: string | null;
  watchlist?: IUserWatchList;
}

export class WatchListEntry implements IWatchListEntry {
  constructor(public id?: number, public exerciseId?: string, public exerciseName?: string | null, public watchlist?: IUserWatchList) {}
}

export function getWatchListEntryIdentifier(watchListEntry: IWatchListEntry): number | undefined {
  return watchListEntry.id;
}
